LibreOffice: FileSystemStorage Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Included Services | List of all members
FileSystemStorage Service Referencepublished

This is a service that allows to get access to a file system folder using storage hierarchy. More...

Inheritance diagram for FileSystemStorage:

## Included Services
service | BaseStorage
| This service describes the base functionality of storages.

## Additional Inherited Members
Exported Interfaces inherited from BaseStorage
interface | ::com::sun::star::embed::XStorage
| This is a general interface representing storage functionality.
interface | ::com::sun::star::beans::XPropertySet
| allows to get access to storage properties.
Exported Interfaces inherited from XStorage
interface | ::com::sun::star::container::XNameAccess
| allows to get list of child elements and to check if an element with a specified name exists in a storage.
interface | ::com::sun::star::lang::XComponent
| allows to control and track lifetime of the storage.
Public Member Functions inherited from XStorage
void | copyToStorage ([in] XStorage xDest) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to copy current storage to another one
::com::sun::star::io::XStream | openStreamElement ([in] string sStreamName, [in] long nOpenMode) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::packages::WrongPasswordException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get access to a child stream of the storage.
::com::sun::star::io::XStream | openEncryptedStreamElement ([in] string sStreamName, [in] long nOpenMode, [in] string sPassword) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::packages::NoEncryptionException, ::com::sun::star::packages::WrongPasswordException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get access to a child encrypted stream with password.
XStorage | openStorageElement ([in] string sStorName, [in] long nOpenMode) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get access to a child storage.
::com::sun::star::io::XStream | cloneStreamElement ([in] string sStreamName) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::packages::WrongPasswordException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get readonly copy of a child stream of the storage.
::com::sun::star::io::XStream | cloneEncryptedStreamElement ([in] string sStreamName, [in] string sPassword) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::packages::NoEncryptionException, ::com::sun::star::packages::WrongPasswordException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get readonly copy of a child encrypted stream with password.
void | copyLastCommitTo ([in] XStorage xTargetStorage) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get copy of this storage at the state of its last commit.
void | copyStorageElementLastCommitTo ([in] string sStorName, [in] XStorage xTargetStorage) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to get copy of a child storage at the state of its last commit.
boolean | isStreamElement ([in] string sElementName) raises ( ::com::sun::star::container::NoSuchElementException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::InvalidStorageException )
| allows to check if an element is a child stream with specified name.
boolean | isStorageElement ([in] string sElementName) raises ( ::com::sun::star::container::NoSuchElementException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::embed::InvalidStorageException )
| allows to check if an element is a child storage with specified name.
void | removeElement ([in] string sElementName) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| removes an element from a storage.
void | renameElement ([in] string sElementName, [in] string sNewName) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::container::ElementExistException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| renames an element in a storage.
void | copyElementTo ([in] string sElementName, [in] XStorage xDest, [in] string sNewName) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::container::ElementExistException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to copy an entry from one storage to another.
void | moveElementTo ([in] string sElementName, [in] XStorage xDest, [in] string sNewName) raises ( ::com::sun::star::embed::InvalidStorageException, ::com::sun::star::lang::IllegalArgumentException, ::com::sun::star::container::NoSuchElementException, ::com::sun::star::container::ElementExistException, ::com::sun::star::io::IOException, ::com::sun::star::embed::StorageWrappedTargetException )
| allows to move an entry from one storage to another.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Attributes inherited from BaseStorage
long | OpenMode
| allows to get the mode the storage is opened in.
string | URL
| allows to retrieve URL the storage is based on.

## Detailed Description

This is a service that allows to get access to a file system folder using storage hierarchy.

## Exported Interfaces

## ◆ BaseStorage

service BaseStorage

This service describes the base functionality of storages.

Please see below the description of additional requirements for the file system storage implementation.

interface com::sun::star::lang::XComponent

  A file system storage is created either by StorageFactory or by XStorage interface and is controlled by refcounting. In case refcounting is decreased to zero the storage will be disposed automatically.

  In case a storage object is disposed the elements ( substorages and substreams ) are not affected.

interface XStorage
  XStorage::openStorageElement()

    This method returns FileSystemStorage service implementation.

  XStorage::copyLastCommitTo()

    Since this service implementation supports no transaction this method just creates a copy of the storage in its current state.

  XStorage::copyStorageElementLastCommitTo()

    Since this service implementation supports no transaction this method just creates a copy of the storage in its current state.

  XStorage::removeStorageElement()
    If the element is opened and it is a stream element the removing will fail. If the element is opened and it is a storage element, all the contents that can be removed will be removed.
property URL
  This property is not optional for this service.

The documentation for this service was generated from the following file:

- com/sun/star/embed/FileSystemStorage.idl